GET
/api-keys/{api_key_id}Returns an API key using its ID.
The API key is returned with an obfuscated key. An API key can always get itself, even without the api_key.read permission.
Requires
api_key.read permission.Path parameters
api_key_idstringrequired
Example:
apikey_01gm106t81w94gyjgsaqypkjklUnique Paddle ID for this API key entity, prefixed with
apikey_.Pattern:
^apikey_[a-z\d]{26}$Response (200)
dataobjectrequired
Represents an API key entity.
idstringrequired
Example:
apikey_01gm106t81w94gyjgsaqypkjklUnique Paddle ID for this API key entity, prefixed with
apikey_.Pattern:
^apikey_[a-z\d]{26}$namestringrequired
Short name of this API key. Typically unique and human-identifiable.
Length: 1–150
descriptionstring | nullrequired
Short description of this API key. Typically gives details about what the API key is used for and where it's used.
Length: 1–250
statusstringrequired
Default:
activeStatus of this API key.
Values
activeexpiredrevoked
permissionsarray | nullrequired
Permissions assigned to this API key. Determines what actions the API key can perform.
null for legacy API keys, whose access doesn't come from permissions.Values
account.readView the business identity of your account, including legal name, display name, website, and contact email.account.writeUpdate the contact email for your account.address.readView customer addresses and include address data in API responses.address.writeCreate and update customer addresses.adjustment.readView adjustments and credit notes for transactions.
+ Show all values− Hide values
adjustment.writeCreate new adjustments for transactions.api_key.readView API keys, including their names, status, and permissions. The full key is never returned.balance_currency.readView balance currency settings for your account.balance_currency.writeUpdate balance currency settings for your account.business.readView customer businesses and include business data in API responses.business.writeCreate and update customer businesses.checkout_domain.readView checkout domains, their approval status, and payment method verification status.checkout_domain.writeDelete checkout domains, and trigger payment method verification (Apple Pay) for approved checkout domains.checkout_settings.readView checkout settings for your account.checkout_settings.writeUpdate checkout settings for your account.client_token.readView client-side tokens.client_token.writeCreate and update client-side tokens.currency_conversion.readView currency conversion settings for your account.currency_conversion.writeUpdate currency conversion settings for your account.customer.readView customers, including credit balances, and include customer data in API responses.customer.writeCreate new customers and update existing customer information.customer_auth_token.writeGenerate authentication tokens for customers.customer_portal_session.writeCreate new customer portal sessions for customers to manage their subscriptions, payment methods, and more.discount.readView discounts and include discount data in API responses.discount.writeCreate new discounts and modify existing discount information.meter.readearly accessView meters.meter.writeearly accessCreate new meters and modify existing meter information.metrics.readView metrics data including revenue, subscribers, and conversion timeseries.notification.readView event history, sent notifications, notification delivery logs, and include event data in API responses.notification.writeReplay notifications.notification_setting.readView settings for notifications.notification_setting.writeCreate, update, and delete notification settings.notification_simulation.readView notification simulations, simulation runs, and events within a simulation run.notification_simulation.writeCreate and modify notification simulations, create a run for a simulation, and replay events within a run for a simulation.payment_method.readView saved payment methods for customers.payment_method.writeDelete payment methods for customers.price.readView prices and include price data in API responses.price.writeCreate new prices and modify existing price information.product.readView products and include product data in API responses.product.writeCreate new products and modify existing product information.report.readView and download report data.report.writeCreate new reports.statement_descriptor.readView statement descriptor settings for your account.statement_descriptor.writeUpdate statement descriptor settings for your account.subscription.readView subscriptions and preview subscription updates and charges.subscription.writeCreate one-time charges, update subscriptions, and manage subscription status.subscription_history.readView subscription history entries for a subscription.tax_settings.readView tax settings for your account.tax_settings.writeUpdate tax settings for your account.transaction.readView transactions, preview transactions and prices, access invoices, and include transaction data in API responses.transaction.writeCreate, update, and revise transactions, and update payment methods.usage_balance.readearly accessView customers' usage balances.usage_balance_unit.readearly accessView usage balance units.usage_balance_unit.writeearly accessCreate new usage balance units and modify existing usage balance unit information.usage_event.writeearly accessRecord usage events to draw down customers' usage balances.verification.readView verification progress, including step statuses.
exposed_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this API key was first exposed.
null if never exposed.expires_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this API key expires.
null if never expires.rotatablebooleanrequired
Whether this API key can be rotated.
last_used_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this API key was last used (accurate to within 1 hour).
null if never used.created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
keystringrequired
An obfuscated version of this API key, prefixed with
pdl_ and containing _apikey_. Legacy API keys have no prefix, so only the first characters of the key are shown, followed by ****.Pattern:
^[a-z\d_:]*\*\*\*\*$metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "id": "apikey_01jkdpbhazdpn3wpcya45as9tg", "name": "CRM integration", "description": "Used to authenticate with the API for storing Paddle customer data in our CRM.", "key": "pdl_live_apikey_01jkdpbhaz****", "status": "active", "permissions": [ "address.read", "business.read", "customer.read", "subscription.read", "transaction.read" ], "exposed_at": null, "expires_at": "2026-03-26T06:58:38.517Z", "rotatable": true, "last_used_at": "2025-10-20T09:12:44.000Z", "created_at": "2025-03-26T06:58:38.517Z", "updated_at": "2025-03-26T06:58:38.517Z" }, "meta": { "request_id": "8f2c41c6-5e0b-4c8e-9a7d-3b1e6f0d2a94" }}